Name:           python-tabmat
Version:        4.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Efficient matrix representations for working with tabular data.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Quantco/tabmat
Source:         %{pypi_source tabmat}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tabmat' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tabmat
Summary:        %{summary}

%description -n python3-tabmat %_description


%prep
%autosetup -p1 -n tabmat-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tabmat -f %{pyproject_files}


%changelog
%autochangelog